Creates a quote using building or location information from the Discovery APIs and product code details from the Product Catalog APIs. You can also update an existing quote by passing in the quoteId.
Quote request body. There are different product schemas for product pricing. Prerequisites include having the product schema from product-code-details and a buildingId or locationId value from the Discovery APIs.
object | |
object |
Success
{- "configuration": {
- "nodeId": "C8E0AA1C-D301-462C-A9B7-3CA3B33F5E1C",
- "productCode": "ETH-ELINE-UNI",
- "version": "3.2.0",
- "currencyIsoCode": "USD",
- "bandwidth": "1G",
- "burstableService": "No",
- "qualityOfService": "Off",
- "mefCertified": "No",
- "children": [
- {
- "productCode": "ETH-ELINE-UNI",
- "version": "3.2.0",
- "nodeId": "4620C865-9EED-4E7E-9B1B-789263D692D8",
- "portHandoffSpeed": "GigE",
- "handoff": "2-Fiber (Optical MMF)",
- "networkInterfaceDevice": "Yes",
- "cfaProvidedBy": "Zayo",
- "buildingA": "a0W60000000CVbEEAW",
- "locationA": "a0b6000000A6IzoAAF",
- "nniId": "",
- "cloudProvider": "Amazon AWS",
- "connectionType": "Hosted"
}
]
}, - "preferences": {
- "requestFollowUp": "No",
- "notes": "These are some notes",
- "quoteNameIdentifier": "Quote-123"
}
}"{ \"apiVersion\": \"v3\", \"data\": {\n \"configuration\": {\n \"children\": [\n {\n \"productCode\": \"ETH-ELINE-UNI\",\n \"version\": \"3.2.0\",\n \"nodeId\": \"4620C865-9EED-4E7E-9B1B-789263D692D8\",\n \"evcEnabled\": \"No\",\n \"portHandoffSpeed\": \"GigE\",\n \"handoff\": \"2-Fiber (Optical MMF)\",\n \"networkInterfaceDevice\": \"Yes\",\n \"cfaProvidedBy\": \"Zayo\",\n \"locationA\": \"a0b6000000A6IzoAAF\",\n \"cloudProvider\": \"Amazon AWS\",\n \"connectionType\": \"Dedicated\",\n \"locationType\": \"CloudLink\"\n }\n ],\n \"nodeId\": \"C8E0AA1C-D301-462C-A9B7-3CA3B33F5E1C\",\n \"productCode\": \"ETH-ELINE-UNI\",\n \"version\": \"3.2.0\",\n \"currencyIsoCode\": \"USD\",\n \"bandwidth\": \"1G\",\n \"burstableService\": \"No\",\n \"qualityOfService\": \"Off\",\n \"mefCertified\": \"No\",\n \"aggregatedBandwidth\": \"No\",\n \"bandwidthType\": \"Standard\",\n \"product\": \"ELine\",\n \"productCategory\": \"Pt to Multi-Pt (UNI)\",\n \"locations\": [\n {\n \"locationId\": \"a0b6000000A6IzoAAF\",\n \"address\": \"1656 McCarthy Blvd Milpitas, CA 95035\",\n \"floorSuiteRoom\": \"Fl-1/Rm-MMR\",\n \"buildingNetworkStatus\": \"On Zayo Network\",\n \"locationNetworkStatus\": \"On Zayo Network\",\n \"nniLocation\": false,\n \"locationType\": \"CloudLink\",\n \"cloudProvider\": \"Amazon AWS\",\n \"destinationName\": \"US West (N. California)\"\n },\n {\n \"locationId\": \"a0b6000000JMUT9AAP\",\n \"address\": \"840 S Canal St Chicago, IL 60607\",\n \"floorSuiteRoom\": \"Fl-5/Ste-5P2/Rm-5200 (zColo)\",\n \"buildingNetworkStatus\": \"On Zayo Network\",\n \"locationNetworkStatus\": \"On Zayo Network\",\n \"nniLocation\": true\n }\n ]\n },\n \"preferences\": {\n \"requestFollowUp\": \"No\",\n \"notes\": \"These are some notes\",\n \"quoteNameIdentifier\": \"Quote-123\"\n },\n \"quoteId\": \"474fe2db-2cf2-44b9-b9a7-b5e740a9d487\",\n \"quoteNumber\": \"Quote-9491826\",\n \"estimatedInstallInterval\": \"40 days\",\n \"financialTerms\": [\n {\n \"term\": \"1\",\n \"totalMrc\": 806,\n \"totalNrc\": 500\n },\n {\n \"term\": \"12\",\n \"totalMrc\": 957.2,\n \"totalNrc\": 500\n },\n {\n \"term\": \"24\",\n \"totalMrc\": 843.8,\n \"totalNrc\": 500\n },\n {\n \"term\": \"36\",\n \"totalMrc\": 806,\n \"totalNrc\": 500\n },\n {\n \"term\": \"48\",\n \"totalMrc\": 768.2,\n \"totalNrc\": 500\n },\n {\n \"term\": \"60\",\n \"totalMrc\": 730.4,\n \"totalNrc\": 500\n }\n ],\"lineItems\": []}}"